RagTime5PipelineInternal::PipelineCParser Struct Referencefinal

try to read a pipeline cluster: 104,204,4104, 4204 More...

Inheritance diagram for RagTime5PipelineInternal::PipelineCParser:

## Public Member Functions

| PipelineCParser (RagTime5ClusterManager &parser, int type)
| constructor
| ~PipelineCParser () final
| destructor
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
std::shared_ptr< ClusterPipeline > | getPipelineCluster ()
| return the pipeline cluster
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
virtual void | endZone ()
| end of a start zone call
virtual int | getNewZoneToParse ()
| returns to new zone to parse.
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Attributes

std::shared_ptr< ClusterPipeline > | m_cluster
| the current cluster

## Additional Inherited Members

Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

try to read a pipeline cluster: 104,204,4104, 4204

## Constructor & Destructor Documentation

## PipelineCParser()

RagTime5PipelineInternal::PipelineCParser::PipelineCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type )

inline

constructor

## ~PipelineCParser()

RagTime5PipelineInternal::PipelineCParser::~PipelineCParser | ( |  | ) |

final

destructor

## Member Function Documentation

## getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5PipelineInternal::PipelineCParser::getCluster | ( |  | ) |

inline final virtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by getCluster().

## getPipelineCluster()

std::shared_ptr< ClusterPipeline > RagTime5PipelineInternal::PipelineCParser::getPipelineCluster | ( |  | ) |

inline

return the pipeline cluster

Referenced by RagTime5Pipeline::readPipelineCluster().

## parseField()

bool RagTime5PipelineInternal::PipelineCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## parseZone()

bool RagTime5PipelineInternal::PipelineCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

## m_cluster

std::shared_ptr<ClusterPipeline> RagTime5PipelineInternal::PipelineCParser::m_cluster

protected

the current cluster

Referenced by getCluster(), getPipelineCluster(), parseZone(), and PipelineCParser().

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx